Groovy Documentation

## org.codehaus.groovy.transform
[Java] Class PackageScopeASTTransformation

    java.lang.Object
      org.codehaus.groovy.transform.PackageScopeASTTransformation

All Implemented Interfaces:
  ASTTransformation, org.objectweb.asm.Opcodes

    @GroovyASTTransformation(phase = CompilePhase.SEMANTIC_ANALYSIS)
    public class PackageScopeASTTransformation
    extends java.lang.Object

Handles transformation for the

PackageScope:
  annotation.

  Both the deprecated groovy.lang.PackageScope and groovy.transform.PackageScope annotations are supported. The former will be removed in a future version of Groovy.

Authors:
  Paul King

Method Summary
`void` | `visit(ASTNode[] nodes, SourceUnit source)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

Groovy Documentation